You are not logged in.

#1 2023-10-08 20:18:45

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

[Kde-unstable] KF6 QT6 Transition

Knowing that there are many users already working on the transition, we open this thread for feedback purposes. Today, for the first time, kf6 packages are updated to 2023108-1 (-Syu) and a few were added.

So far on our Ryzen 5th gen testing machine, there is no issue to report (Wayland Default), but some kf6 packages haven't done it since day one. The following is still resisting due to some kf5 dependencies:

kguiaddons + solid + kwallet + plasma-framework + syntax-highlighting + baloo + kio + ktexteditor

For what we are using (kde light), these 57 packages are up and running.

KDE Frameworks version 5.240.0.x
From $ pacman -Qs kf6:

attica 5.240.0.20231008-1 (kf6) bluez-qt 5.240.0.20231008-1 (kf6) frameworkintegration 5.240.0.20231008-1 (kf6) kactivities 5.240.0.20231008-1 (kf6) kactivities-stats 5.240.0.20231008-1 (kf6) karchive 5.240.0.20231008-1 (kf6) kauth 5.240.0.20231008-1 (kf6) kbookmarks 5.240.0.20231008-1 (kf6) kcalendarcore 5.240.0.20231008-1 (kf6) kcmutils 5.240.0.20231008-1 (kf6) kcodecs 5.240.0.20231008-1 (kf6) kcolorscheme 5.240.0.20231008-1 (kf6) kcompletion 5.240.0.20231008-1 (kf6) kconfig 5.240.0.20231008-1 (kf6) kconfigwidgets 5.240.0.20231008-1 (kf6) kcontacts 1:5.240.0.20231008-1 (kf6) kcoreaddons 5.240.0.20231008-1 (kf6) kcrash 5.240.0.20231008-1 (kf6) kdav 1:5.240.0.20231008-1 (kf6) kdbusaddons 5.240.0.20231008-1 (kf6) kdeclarative 5.240.0.20231008-1 (kf6) kded 5.240.0.20231008-1 (kf6) kdesu 5.240.0.20231008-1 (kf6) kdnssd 5.240.0.20231008-1 (kf6) kfilemetadata 5.240.0.20231008-1 (kf6) kglobalaccel 5.240.0.20231008-1 (kf6) kholidays 1:5.240.0.20231008-1 (kf6) ki18n 5.240.0.20231008-1 (kf6) kiconthemes 5.240.0.20231008-1 (kf6) kidletime 5.240.0.20231008-1 (kf6) kimageformats 5.240.0.20231008-1 (kf6) kirigami 5.240.0.20231008-1 (kf6) kitemmodels 5.240.0.20231008-1 (kf6) kitemviews 5.240.0.20231008-1 (kf6) kjobwidgets 5.240.0.20231008-1 (kf6) knewstuff 5.240.0.20231008-1 (kf6) knotifications 5.240.0.20231008-1 (kf6) knotifyconfig 5.240.0.20231008-1 (kf6) kpackage 5.240.0.20231008-1 (kf6) kparts 5.240.0.20231008-1 (kf6) kpeople 5.240.0.20231008-1 (kf6) kplotting 5.240.0.20231008-1 (kf6) kpty 5.240.0.20231008-1 (kf6) kquickcharts 5.240.0.20231008-1 (kf6) kstatusnotifieritem 5.240.0.20231008-1 (kf6) ksvg 5.240.0.20231008-1 (kf6) ktexttemplate 5.240.0.20231008-1 (kf6) ktextwidgets 5.240.0.20231008-1 (kf6) kunitconversion 5.240.0.20231008-1 (kf6) kwayland 5.240.0.20231008-1 (kf6) kwindowsystem 5.240.0.20231008-1 (kf6) kxmlgui 5.240.0.20231008-1 (kf6) modemmanager-qt 5.240.0.20231008-1 (kf6) networkmanager-qt 5.240.0.20231008-1 (kf6) sonnet 5.240.0.20231008-1 (kf6) syndication 5.240.0.20231008-1 (kf6) threadweaver 5.240.0.20231008-1 (kf6) -10/8/57 packets/ 20231008U


We did not encounter any problem with the qt6 37 packets since Sept 26th. And this cmd line was helpful to get dependencies:

$ pacman -S --asdeps package name

Qt version 6.6.0-rc1/rc2
From $ pacman -Qs qt6:

futuresql-qt6 0.1.1-2 libdbusmenu-qt6 0.9.3+16.04.20160218-6 packagekit-qt6 1.1.1-1 polkit-qt6 0.114.0-2 poppler-qt6 23.10.0-1 pyside6 6.5.2-2 python-pyqt6-sip 13.5.2-1 qca-qt6 2.3.7-1 qgpgme-qt6 1.22.0-1 qt6-5compat 6.6.0rc-1 (qt6) qt6-base 6.6.0rc-1 (qt6) qt6-connectivity 6.6.0rc-1 (qt6) qt6-declarative 6.6.0rc-1 (qt6) qt6-graphs 6.6.0rc-1 (qt6) qt6-httpserver 6.6.0rc-1 (qt6) qt6-imageformats 6.6.0rc-1 (qt6) qt6-languageserver 6.6.0rc-1 (qt6) qt6-location 6.6.0rc-1 (qt6) qt6-multimedia 6.6.0rc-1 (qt6) qt6-multimedia-ffmpeg 6.6.0rc-1 qt6-multimedia-gstreamer 6.6.0rc-1 qt6-networkauth 6.6.0rc-1 (qt6) qt6-positioning 6.6.0rc-1 (qt6) qt6-quick3d 6.6.0rc-1 (qt6) qt6-quicktimeline 6.6.0rc-1 (qt6) qt6-sensors 6.6.0rc-1 (qt6) qt6-shadertools 6.6.0rc-1 (qt6) qt6-speech 6.6.0rc-2 (qt6) qt6-svg 6.6.0rc-1 (qt6) qt6-tools 6.6.0rc-1 (qt6) qt6-translations 6.6.0rc-1 (qt6) qt6-wayland 6.6.0rc-1 (qt6) qt6-webchannel 6.6.0rc-1 (qt6) qt6-webengine 6.6.0rc-1 (qt6) qt6-websockets 6.6.0rc-1 (qt6) qt6-webview 6.6.0rc-1 (qt6) quazip-qt6 1.4-1 (qt6) -20231002/37 packages

Not found:

qt6-graphicaleffects + qt6-quickcontrols=qt6-declarative + qt6-quickcontrols2=qt6-declarative + qt6-x11extras

Hope this will help those on the [kde-unstable] testing channel,

Edit: Kio was not installed yesterday + ktexteditor added

Last edited by Archcan_98 (2023-10-09 16:07:56)

Offline

#2 2023-10-09 15:11:05

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 371

Re: [Kde-unstable] KF6 QT6 Transition

for me conflict:

ktexteditor
solid
plasma-framework
kservice
kio
kguiaddons
baloo

due http://sprunge.us/bc3x17

greetings

Offline

#3 2023-10-10 07:51:54

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 22,093

Re: [Kde-unstable] KF6 QT6 Transition

Moving to the [testing] subboard -- note to any would be followers of this, kde-unstable is a testing repo and mandates testing repos, you need to enable all the testing repos for this to generally work.

Offline

#4 2023-10-16 16:59:25

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

Install ok now + new:

$ pacman -Q purpose kio kservice ktexteditor kdbusaddons syntax-highlighting kguiaddons plasma-wayland-protocols qqc2-desktop-style kuserfeedback5 kuserfeedback6
purpose 5.240.0.20231014-2
kio 5.240.0.20231014-3
kservice 5.240.0.20231014-2
ktexteditor 5.240.0.20231014-3
kdbusaddons 5.240.0.20231014-1
syntax-highlighting 5.240.0.20231014-2
kguiaddons 5.240.0.20231014-2
plasma-wayland-protocols 1.10.80-1
qqc2-desktop-style 5.240.0.20231014-1
kuserfeedback5 1.2.0.20231012-2
kuserfeedback6 1.2.0.20231012-2


Still not working:

$ pacman -Q plasma-framework baloo solid kwallet
plasma-framework5 5.110.0-1
baloo5 5.110.0-1
solid5 5.110.0-1
kwallet5 5.110.0-1
$ pacman -Q plasma-framework=5.240.0.20231014-1  baloo=5.240.0.20231014-1 solid=5.240.0.20231014-1 kwallet=5.240.0.20231014-1
error: package 'plasma-framework=5.240.0.20231014-1' was not found
error: package 'baloo=5.240.0.20231014-1' was not found
error: package 'solid=5.240.0.20231014-1' was not found
error: package 'kwallet=5.240.0.20231014-1' was not found

Last edited by Archcan_98 (2023-10-17 00:34:51)

Offline

#5 2023-10-20 00:02:27

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

https://9to5linux.com/kde-frameworks-5- … e-schedule

All other packages were installed. For dependencies issue,   kwidgetsaddons5 was installed separately at the end.

# pacman -S kwallet5=5.111.0-1
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing kwallet5 (5.111.0-1) breaks dependency 'kwallet' required by kio

# pacman -S solid5=5.111.0-1
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing solid5 (5.111.0-1) breaks dependency 'solid' required by kio

$ pacman -Q  kwidgetsaddons5
kwidgetsaddons5 5.111.0-1
$ pacman -Q kio5
kio5 5.111.0-1
$ pacman -Q kio
kio 5.240.0.20231014-3
$ pacman -Q kwallet
kwallet5 5.110.0-1
$ pacman -Q solid
solid5 5.110.0-1

Operating System: Arch Linux
KDE Plasma Version: 5.27.8
KDE Frameworks Version: 5.111.0
Qt Version: 5.15.11
Kernel Version: 6.5.8-arch1-1 (64-bit)
Graphics Platform: Wayland

For the record [extra-testing]: Packages (64)

# pacman -S attica5=5.111.0-1 baloo5=5.111.0-1 bluez-qt5=5.111.0-1 frameworkintegration5=5.111.0-1 kactivities5=5.111.0-1 kactivities-stats5=5.111.0-1 karchive5=5.111.0-1 kauth5=5.111.0-1 kbookmarks5=5.111.0-1 kcmutils5=5.111.0-1 kcodecs5=5.111.0-1 kcompletion5=5.111.0-1 kconfig5=5.111.0-1 kconfigwidgets5=5.111.0-1 kcoreaddons5=5.111.0-1 kcrash5=5.111.0-1 kcoreaddons5=5.111.0-1 kdbusaddons5=5.111.0-1 kdeclarative5=5.111.0-1 kded5=5.111.0-1 kdelibs4support=5.111.0-1 kdesu5=5.111.0-1 kdnssd5=5.111.0-1 kemoticons=5.111.0-1 kfilemetadata5=5.111.0-1 kglobalaccel5=5.111.0-1 kholidays5=1:5.111.0-1 ki18n5=5.111.0-1 kiconthemes5=5.111.0-1 kidletime5=5.111.0-1 kinit=5.111.0-1 kio5=5.111.0-1 kirigami2=5.111.0-1 kitemmodels5=5.111.0-1 kitemviews5=5.111.0-1 kjobwidgets5=5.111.0-1 kjs=5.111.0-1 knewstuff5=5.111.0-1 knotifications5=5.111.0-1 knotifyconfig5=5.111.0-1 kpackage5=5.111.0-1 kparts5=5.111.0-1 kpeople5=5.111.0-1 kpty5=5.111.0-1 kquickcharts5=5.111.0-1 krunner5=5.111.0-1 kservice5=5.111.0-1 ktexteditor5=5.111.0-1 ktextwidgets5=5.111.0-1 kunitconversion5=5.111.0-1 kwayland5=5.111.0-1 kwidgetsaddons5=5.111.0-1 kwindowsystem5=5.111.0-1 kxmlgui5=5.111.0-1 modemmanager-qt5=5.111.0-1 networkmanager-qt5=5.111.0-1 plasma-framework5=5.111.0-1 purpose5=5.111.0-1 qqc2-desktop-style5=5.111.0-1 sonnet5=5.111.0-1 syndication5=5.111.0-1 syntax-highlighting5=5.111.0-1 threadweaver5=5.111.0-1 linux=6.5.8.arch1-1 linux-headers=6.5.8.arch1-1

Last edited by Archcan_98 (2023-10-20 23:45:25)

Offline

#6 2023-10-20 17:12:27

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

Problems with -Syu this morning, no update possible cause by Kwallet5 and solid5. On our second attempt, there was a kf6 upgrade that worked properly. Solid5 and 6 are installed. Kwallet (5+6) remains an issue. Plus baloo + plasma-framework. We are making progress.

KF6=20231020-1

Edit: As seen in Pamac history, the problematic package on previous post was kwidgetsaddons5, not kguiaddons5. Correction has been made.

Edit 2: Kwallet has been updated and this one works.


$ pacman -Q solid solid5 kwidgetsaddons kwidgetsaddons5 kwallet kwallet5
solid 5.240.0.20231020-1
solid5 5.111.0-1
kwidgetsaddons 5.240.0.20231020-1
kwidgetsaddons5 5.111.0-1
kwallet 5.240.0.20231020-2
kwallet5 5.111.0-1

Last edited by Archcan_98 (2023-10-20 23:44:29)

Offline

#7 2023-10-21 11:18:11

duder2
Member
From: USA
Registered: 2009-03-21
Posts: 14

Re: [Kde-unstable] KF6 QT6 Transition

FWIW  I'm building Plasma 6 by hand from source on top of the kf6 group.   First build worked great.  X and Wayland.   
Built last night  w/ 102023   no menu in kicker.   The PC is a custom AMD B450 /r5-5500 cpu and RX 6600 gpu for the record.
I also have UBU neon unstable which has a black screen atm.   I'll be tracking this thread. Thx

Offline

#8 2023-10-28 00:16:42

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

KF6 20231027 Patch

The list of dependency errors related to plasma-framework is pretty long. This update has 64 packages here.

$ pacman -S plasma-framework
resolving dependencies...
looking for conflicting packages...

Packages (1) plasma-framework-5.240.0.20231027-1

Total Download Size:   2.96 MiB
Total Installed Size:  6.27 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
plasma-framework-5.240.0.2023102...     3.0 MiB   266 KiB/s 00:11 [####################################] 100%
(1/1) checking keys in keyring                                     [####################################] 100%
(1/1) checking package integrity                                   [####################################] 100%
(1/1) loading package files                                        [####################################] 100%
(1/1) checking for file conflicts                                  [####################################] 100%
error: failed to commit transaction (conflicting files)
[...]

$ pacman -Q solid plasma-framework baloo
solid 5.240.0.20231027-1
error: package 'plasma-framework' was not found
error: package 'baloo' was not found

Last edited by Archcan_98 (2023-10-28 01:13:21)

Offline

#9 2023-11-03 23:13:05

c00ter
Member
From: Alaskan in Washington State
Registered: 2014-08-28
Posts: 411

Re: [Kde-unstable] KF6 QT6 Transition

I'm receiving an additional SSD tomorrow and I am thinking of using the HDD as a separate testing drive, and installing anew on it with kde-unstable and testing repositories enabled from the start. Is that yet possible, or should an in place upgrade be done subsequent to a normal KDE5 installation?


UNIX was not designed to stop you from doing stupid things, because that would also stop you from doing clever things. -- Doug Gwyn

Offline

#10 2023-11-04 03:09:07

duder2
Member
From: USA
Registered: 2009-03-21
Posts: 14

Re: [Kde-unstable] KF6 QT6 Transition

"Is that yet possible, or should an in place upgrade be done subsequent to a normal KDE5 installation?"
That would be a disaster.   Install base and base-devel and cmake.  Install and test Xorg plus wayland pkgs.  Install qt6.  Install kf6 group with its deps.   Last and hard part since there's few to no plasma 6 pkgbuilds yet.  Here's an example of my plasma pkg config:

   cmake -DCMAKE_INSTALL_PREFIX=$KF6_PREFIX \
      -DCMAKE_BUILD_TYPE=Release         \
      -DBUILD_TESTING=OFF                \
      -Wno-dev -DQT_MAJOR_VERSION=6 ..  

Good Luck.  See kde dev docs for other needed cmake options. 

Option B:  Wait for plasma 6 pkgbuilds in a few weeks.   Pacman will do all the heavy lifting.  smile

Archetech

Last edited by duder2 (2023-11-04 03:18:01)

Offline

#11 2023-11-04 10:46:50

c00ter
Member
From: Alaskan in Washington State
Registered: 2014-08-28
Posts: 411

Re: [Kde-unstable] KF6 QT6 Transition

Thank you for the example and advice. Option B appears to be enough in itself. I'm 71 and there's only so much time...
Again, thank you. smile


UNIX was not designed to stop you from doing stupid things, because that would also stop you from doing clever things. -- Doug Gwyn

Offline

#12 2023-11-05 18:52:33

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

20231105 Patch

Very long update today, took about an hour. Cmake git was installed, but two packages did not compile due to edit file issue.

[2023-11-05T13:04:32-0500] [ALPM] installed extra-cmake-modules-git (5.240.0.r3640.44b7e47c-1)
[2023-11-05T13:04:18-0500] [ALPM] installed cmake-git (3.28.0.rc3.247.g51d985da3e-1)


Cmake no end loop faulty packages:
polikit-qt6
plymouth-kcm-git
Failed to prepare transaction:
could not find database
Transaction cancelled.

$ pacman -S plymouth-kcm-git polikit-qt6 plymouth-kcm
error: target not found: plymouth-kcm-git
error: target not found: polikit-qt6
warning: plymouth-kcm-5.27.9-1 is up to date -- reinstalling


Baloo and plasma-framework have the same version number, same result.

Orphans:

[2023-11-05T13:42:18-0500] [ALPM] removed python-pytz (2023.3.post1-1)
[2023-11-05T13:42:12-0500] [ALPM] removed rhash (1.4.4-1)
[2023-11-05T13:42:12-0500] [ALPM] removed cppdap (1.58.0-1)
[2023-11-05T13:42:12-0500] [ALPM] removed python-boolean.py (4.0-2)
[2023-11-05T13:42:12-0500] [ALPM] removed python-babel (2.12.1-1)
[2023-11-05T13:42:12-0500] [ALPM] removed jsoncpp (1.9.5-2)
[2023-11-05T13:42:12-0500] [ALPM] removed m17n-db (1.8.3-1)
[2023-11-05T13:42:12-0500] [ALPM] removed libotf (0.9.16-4)
[2023-11-05T13:42:02-0500] [ALPM] removed python-imagesize (1.4.1-4)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinxcontrib-applehelp (1.0.7-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-pyqt6-sip (13.6.0-1)
[2023-11-05T13:42:02-0500] [ALPM] removed qt6-tools (6.6.0-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinxcontrib-serializinghtml (1.1.9-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-license-expression (30.1.1-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinxcontrib-jsmath (1.0.1-15)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinxcontrib-htmlhelp (2.0.4-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-iniconfig (2.0.0-4)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinx-alabaster-theme (0.7.13-4)
[2023-11-05T13:42:02-0500] [ALPM] removed python-debian (0.1.49-2)
[2023-11-05T13:42:02-0500] [ALPM] removed tree-sitter (0.20.10-2)
[2023-11-05T13:42:02-0500] [ALPM] removed python-snowballstemmer (2.2.0-5)
[2023-11-05T13:42:02-0500] [ALPM] removed python-docutils (1:0.20.1-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-sphinxcontrib-devhelp (1.0.5-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-pluggy (1.3.0-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-binaryornot (0.4.4-9)
[2023-11-05T13:42:02-0500] [ALPM] removed m17n-lib (1.8.4-1)
[2023-11-05T13:42:02-0500] [ALPM] removed python-ply (3.11-12)
[2023-11-05T13:42:02-0500] [ALPM] removed cmake-git (3.28.0.rc3.247.g51d985da3e-1)
[2023-11-05T13:42:01-0500] [ALPM] removed python-jinja (1:3.1.2-4)
[2023-11-05T13:42:01-0500] [ALPM] removed libgoa (3.48.0-2)
[2023-11-05T13:42:01-0500] [ALPM] removed python-sphinxcontrib-qthelp (1.0.6-1)
[2023-11-05T13:41:41-0500] [ALPM] removed boost (1.83.0-2)
[2023-11-05T13:41:40-0500] [ALPM] removed libgdata (0.18.1-3)
[2023-11-05T13:41:40-0500] [ALPM] removed extra-cmake-modules-git (5.240.0.r3640.44b7e47c-1)
[2023-11-05T13:41:40-0500] [ALPM] removed qt6-doc (6.6.0-1)
[2023-11-05T13:41:39-0500] [ALPM] removed emacs (29.1-4)
[2023-11-05T13:41:39-0500] [ALPM] removed python-pytest (7.4.3-1)
[2023-11-05T13:41:39-0500] [ALPM] removed python-pyqt6 (6.6.0-1)
[2023-11-05T13:41:39-0500] [ALPM] removed sip (6.7.12-1)
[2023-11-05T13:41:39-0500] [ALPM] removed python-sphinx (7.2.6-1)
[2023-11-05T13:41:39-0500] [ALPM] removed reuse (2.1.0-1)
[2023-11-05T13:41:39-0500] [ALPM] removed doxygen (1.9.8-1)
[2023-11-05T13:41:39-0500] [ALPM] removed gperf (3.1-5)

Offline

#13 2023-11-08 20:29:52

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

20231108 Patch Version=5.245.0

All went fine today.

Packages (68)

attica-5.245.0-1 bluez-qt-5.245.0-1 exiv2-0.28.1-1 extra-cmake-modules-5.245.0-1 frameworkintegration-5.245.0-1 karchive-5.245.0-1 kauth-5.245.0-1 kbookmarks-5.245.0-1 kcmutils-5.245.0-1 kcodecs-5.245.0-1 kcolorscheme-5.245.0-1 kcompletion-5.245.0-1 kconfig-5.245.0-1 kconfigwidgets-5.245.0-1 kcontacts-1:5.245.0-1 kcoreaddons-5.245.0-1 kcrash-5.245.0-1 kdbusaddons-5.245.0-1 kdeclarative-5.245.0-1 kded-5.245.0-1 kdesu-5.245.0-1 kdnssd-5.245.0-1 kdoctools-5.245.0-1 kfilemetadata-5.245.0-1 kglobalaccel-5.245.0-1 kguiaddons-5.245.0-1 kholidays-1:5.245.0-1 ki18n-5.245.0-1 kiconthemes-5.245.0-1 kidletime-5.245.0-1 kimageformats-5.245.0-1 kio-5.245.0-1 kirigami-5.245.0-1 kitemmodels-5.245.0-1 kitemviews-5.245.0-1 kjobwidgets-5.245.0-1 knewstuff-5.245.0-1 knotifications-5.245.0-1 knotifyconfig-5.245.0-1 kpackage-5.245.0-1 kparts-5.245.0-1 kpeople-5.245.0-1 kplotting-5.245.0-1 kpty-5.245.0-1 kquickcharts-5.245.0-1 krunner-5.245.0-1 kservice-5.245.0-1 kstatusnotifieritem-5.245.0-1 ksvg-5.245.0-1 ktexteditor-5.245.0-1 ktexttemplate-5.245.0-1 ktextwidgets-5.245.0-1 kunitconversion-5.245.0-1 kuserfeedback5-1.3.0-3 kwallet-5.245.0-1 kwidgetsaddons-5.245.0-1 kwindowsystem-5.245.0-1 kxmlgui-5.245.0-1 modemmanager-qt-5.245.0-1 networkmanager-qt-5.245.0-1 purpose-5.245.0-1 solid-5.245.0-1 sonnet-5.245.0-1 sudo-1.9.15.p1-1 syndication-5.245.0-1 syntax-highlighting-5.245.0-1 threadweaver-5.245.0-1 unbound-1.19.0-1

$ pacman -Q polkit-qt6 extra-cmake-modules plymouth-kcm plymouth-kcm-git baloo
polkit-qt6 0.175.0-1
extra-cmake-modules 5.245.0-1
plymouth-kcm 5.27.9-1
error: package 'plymouth-kcm-git' was not found
error: package 'baloo' was not found

The system remains stable and slowly but surely, Arch devs and maintainers are doing a great job. +1

Offline

#14 2023-11-11 21:12:12

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

20231111 Multiple patch

It comes with a watermark bottom right: KDE Plasma 6.0 Dev. System Settings has a new look and we're all set to go now.

$ pacman -Q baloo plasma-framework konsole plasma-desktop
baloo 5.245.0-1
plasma-framework 6.alpha.5.27.80-1
konsole 24.01.75-1
plasma-desktop 5.27.80-1

Operating System: Arch Linux
KDE Plasma Version: 5.27.80
KDE Frameworks Version: 5.245.0
Qt Version: 6.6.0
Kernel Version: 6.6.1-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 16 × AMD Ryzen 7 5825U with Radeon Graphics
Memory: 15.0 GiB of RAM
Graphics Processor: AMD Radeon Graphics
Manufacturer: LENOVO

Bye-bye kf5 and Qt5,

Last edited by Archcan_98 (2023-11-12 21:47:28)

Offline

#15 2023-11-12 03:03:36

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 371

Re: [Kde-unstable] KF6 QT6 Transition

explode as f* XD

every alt+tab, or click in the toolbar plasma explode (all in wayland)

https://gist.github.com/sl1pkn07/92c30d … 80f3b68759
(kcrash  or coredumpctl isn't compatible with debuginfod so the coredump is incomplete)

dual xeon with nvidia 1070ti

Last edited by sl1pkn07 (2023-11-14 21:51:19)

Offline

#16 2023-11-12 21:46:26

Archcan_98
Member
Registered: 2023-09-08
Posts: 36

Re: [Kde-unstable] KF6 QT6 Transition

Feedback,

Overall, looks better and no apparent issue, only minor stuff. System settings have hidden features that must be searched manually to tweak them: Action, boot...

Booting hangs on the default boot splash screen, switching to spinner does not remove "Plasma made by kde" delay. We are not able to sync aur DB, Pamac stalls. Nothing wrong with crtl+tab. There is no need atm to enale anything other than kde-unstable.

Orphans:

[2023-11-11T16:53:54-0500] [ALPM] removed python-certifi (2023.07.22-1)
[2023-11-11T16:53:49-0500] [ALPM] removed kpeople5 (5.111.0-1)
[2023-11-11T16:53:49-0500] [ALPM] removed kcontacts5 (5.111.0-1)
[2023-11-11T16:53:49-0500] [ALPM] removed appstream-qt (0.16.4-1)
[2023-11-11T16:53:49-0500] [ALPM] removed python-urllib3 (1.26.15-1)
[2023-11-11T16:53:49-0500] [ALPM] removed plasma-framework5 (5.111.0-2)
[2023-11-11T16:53:43-0500] [ALPM] removed kirigami-addons5 (0.11.0-6)
[2023-11-11T16:53:43-0500] [ALPM] removed frameworkintegration5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed knotifyconfig5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed pulseaudio-qt (1.3-1)
[2023-11-11T16:53:43-0500] [ALPM] removed modemmanager-qt5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed networkmanager-qt5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed kdesu5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed python-distro (1.8.0-3)
[2023-11-11T16:53:43-0500] [ALPM] removed libqaccessibilityclient-qt5 (0.5.0-2)
[2023-11-11T16:53:43-0500] [ALPM] removed krunner5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed python-pygdbmi (0.11.0.0-3)
[2023-11-11T16:53:43-0500] [ALPM] removed qt5-webview (5.15.11-1)
[2023-11-11T16:53:43-0500] [ALPM] removed bolt (0.9.6-1)
[2023-11-11T16:53:43-0500] [ALPM] removed kpeoplevcard (0.1-2)
[2023-11-11T16:53:43-0500] [ALPM] removed libfakekey (0.3-2)
[2023-11-11T16:53:43-0500] [ALPM] removed bluez-qt5 (5.111.0-1)
[2023-11-11T16:53:43-0500] [ALPM] removed kholidays5 (1:5.111.0-1)

$ paclist kde-unstable | wc -l
114

Offline

#17 2023-11-12 22:53:29

Strangiato
Member
Registered: 2020-01-10
Posts: 382

Re: [Kde-unstable] KF6 QT6 Transition

Installed on my system. I see this bug with Breeze global theme:

https://i.imgur.com/QZZiGBX.png

Breeze theme of SDDM is also broken, and Breeze plasma style is not available in Plasma Style module of System Settings.

Any idea on how to fix these Breeze themes?

Last edited by Strangiato (2023-11-12 23:01:20)

Offline

#18 2023-11-14 21:07:11

ridge
Member
From: North of the arctic circle
Registered: 2021-10-29
Posts: 21
Website

Re: [Kde-unstable] KF6 QT6 Transition

Surprised how stable it is, for an alpha smile I'm sure there'll be more breakages coming soon, though, moving towards beta and getting all the final feature merges in. Really enjoying the cursor latency optimisations, I can use "Force smoothest animations" in the compositor settings now, while still enjoying a responsive cursor.
Dolphin looks funny, given it's not built against Qt6 in the repos yet. There's dolphin-git in the AUR but meh, it works. Just felt a bit nostalgic seeing the Qt fallback theme, haha.

Anyone else having trouble with SDDM when running under Wayland, by the way? No problem of course, as I could just remove its Wayland config file in /etc/sddm.conf.d, but after installing Plasma 6 Alpha and SDDM from kde-unstable, it no longer accepts keyboard input.

Last edited by ridge (2023-11-14 21:07:50)

Offline

#19 2023-11-14 21:43:36

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 2,115

Re: [Kde-unstable] KF6 QT6 Transition

ridge wrote:

Dolphin looks funny, given it's not built against Qt6 in the repos yet.

Install breeze5.

Offline

#20 2023-11-14 23:03:03

ridge
Member
From: North of the arctic circle
Registered: 2021-10-29
Posts: 21
Website

Re: [Kde-unstable] KF6 QT6 Transition

arojas wrote:

Install breeze5.

Cheers! Missed the memo on that one.

Offline

#21 2023-11-15 22:50:20

fanzhuyifan
Member
Registered: 2020-11-21
Posts: 28

Re: [Kde-unstable] KF6 QT6 Transition

Currently the wiki states that

This repository contains the latest beta or Release Candidate of KDE Plasma and Applications.

Should it be updated to reflect the fact that it might also contain alpha versions? (5.245 is the alpha version: https://community.kde.org/Schedules/Feb … egaRelease)

Offline

#22 2023-11-15 22:53:02

fanzhuyifan
Member
Registered: 2020-11-21
Posts: 28

Re: [Kde-unstable] KF6 QT6 Transition

ridge wrote:

Anyone else having trouble with SDDM when running under Wayland, by the way? No problem of course, as I could just remove its Wayland config file in /etc/sddm.conf.d, but after installing Plasma 6 Alpha and SDDM from kde-unstable, it no longer accepts keyboard input.

Have you followed the instructions from the wiki?

Offline

#23 2023-11-16 11:43:33

agapito
Member
From: Who cares.
Registered: 2008-11-13
Posts: 667

Re: [Kde-unstable] KF6 QT6 Transition

ridge wrote:

Surprised how stable it is, for an alpha

Really? Because it's a mess here, especially Wayland session.


@arojas, can I ask you why important apps like dolphin, ark, gwenview, okular and ktorrent are not uploaded yet, while others that I didn't even know existed like kweather or kontrast are already in the kde-unstable repository?

Thanks.


Excuse my poor English.

Offline

#24 2023-11-16 13:53:50

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 371

Re: [Kde-unstable] KF6 QT6 Transition

ktorrent still not start porting to Qt6/kf6. however, libktorrent have functional (at least, buildable) port

greetings

Last edited by sl1pkn07 (2023-11-16 13:56:30)

Offline

#25 2023-11-16 16:04:50

agapito
Member
From: Who cares.
Registered: 2008-11-13
Posts: 667

Re: [Kde-unstable] KF6 QT6 Transition

Well, Ktorrent is not so important, i was talking about dolphin mainly.


Excuse my poor English.

Offline

Board footer

Powered by FluxBB